be.vlaanderen.mercurius.vsb.schemas.v1

## Class ParameterValueType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb.schemas.v1.ParameterValueType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class ParameterValueType
      extends Object
      implements Serializable

  Java class for ParameterValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ParameterValueType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterValueType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterValueType

          public ParameterValueType()

  - ### Method Detail

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.